{
  "name": "@gitlab-org/webview-duo-workflow",
  "version": "0.0.0",
  "private": true,
  "main": "src/index.ts",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite --config vite.config.ts build",
    "test": "npm run test:app && npm run test:plugin",
    "test:app": "jest --config jest.config.cjs",
    "test:plugin": "jest --config jest.plugin.config.cjs",
    "watch": "vite --config vite.config.ts build --watch",
    "preview": "vite preview --port 4173",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs --fix --ignore-path .gitignore"
  },
  "dependencies": {
    "@gitlab-org/logging": "0.0.0",
    "@gitlab-org/webview-plugin": "0.0.0",
    "@gitlab/ui": "^104.0.0",
    "@pinia/testing": "^0.1.7",
    "@ts-stack/markdown": "^1.5.0",
    "dompurify": "^3.1.7",
    "graphql-request": "^7.1.2",
    "highlight.js": "^11.10.0",
    "marked": "^15.0.6",
    "marked-bidi": "^1.0.12",
    "pinia": "^2.2.5",
    "vue-router": "^3.6.5"
  },
  "devDependencies": {
    "@babel/preset-env": "^7.25.4",
    "@gitlab-org/webview-client": "0.0.0",
    "@gitlab/svgs": "^3.122.0",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/test-utils": "^1.3.6",
    "@vue/vue2-jest": "^29.2.6",
    "babel-core": "^7.0.0-bridge.0",
    "babel-jest": "^29.7.0",
    "core-js": "^3.38.1",
    "eslint": "^8.5.0",
    "eslint-plugin-vue": "^9.0.0",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "prettier": "^2.5.1",
    "sass": "^1.77.8",
    "ts-jest": "^29.2.5",
    "uuid": "^11.0.5",
    "v-tooltip": "^2.1.3",
    "vite": "^3.0.2",
    "vue": "^2.7.16",
    "vue-jest": "^3.0.7",
    "vue-template-compiler": "^2.7.16"
  }
}
